Skip to content

Promote an existing reply to a new conversation ​

Ideas

A moderator can promote a reply to a new conversation. The title and category for the conversation are required in the request body.

POST
/ideas/replies/{id}/promote

Parameters​

Path Parameters

id*

Reply ID

Type
string
Required

Query Parameters

moderatorId*

ID of the moderator promoting the reply

Type
string
Required

Request Body​

application/json
JSON
{
  
"categoryId": 31,
  
"title": "I have a question"
}

Responses​

Reply promoted

Samples​

Gainsight CC Developer Portal